> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squared.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sync Runs

> Retrieves a list of sync runs for a specific sync, optionally filtered by status.



## OpenAPI

````yaml GET /api/v1/syncs/{sync_id}/sync_runs
openapi: 3.0.1
info:
  title: AI Squared API
  version: 1.0.0
servers:
  - url: https://api.squared.ai
security: []
paths:
  /api/v1/syncs/{sync_id}/sync_runs:
    get:
      tags:
        - SyncRuns
      summary: List sync runs for a specific sync
      description: >-
        Retrieves a list of sync runs for a specific sync, optionally filtered
        by status.
      operationId: getSyncRuns
      parameters:
        - name: sync_id
          in: path
          required: true
          schema:
            type: integer
          description: The ID of the sync to list runs for.
        - name: status
          in: query
          schema:
            type: string
          description: Optional status to filter the sync runs by.
        - name: page
          in: query
          schema:
            type: integer
          description: Page number for pagination.
      responses:
        '200':
          description: A JSON array of sync runs
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        attributes:
                          type: object
                          properties:
                            sync_id:
                              type: integer
                            status:
                              type: string
                            started_at:
                              type: string
                              format: date-time
                            finished_at:
                              type: string
                              format: date-time
                            duration:
                              type: number
                              format: float
                            total_query_rows:
                              type: integer
                            skipped_rows:
                              type: integer
                            total_rows:
                              type: integer
                            successful_rows:
                              type: integer
                            failed_rows:
                              type: integer
                            error:
                              type: string
                              nullable: true
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                  links:
                    type: object
                    properties:
                      self:
                        type: string
                        format: uri
                      first:
                        type: string
                        format: uri
                      prev:
                        type: string
                        format: uri
                        nullable: true
                      next:
                        type: string
                        format: uri
                        nullable: true
                      last:
                        type: string
                        format: uri
        '404':
          description: Sync not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Sync not found
                  status:
                    type: string
                    example: not_found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````